	var show_in_safari = false;
	$(document).ready(function() {
		if (navigator.userAgent.match(/Safari/i)) {
			var re = /Version\/(\d{1,})/;
			var match = re.exec(navigator.userAgent);
			if(match !== null && typeof match[1] != "undefined" && parseInt(match[1]) < 6) {
				show_in_safari = true;
				console.log(show_in_safari);
			}
		}
	});

	
		// On window load. This waits until images have loaded which is essential
		$(window).load(function(){
			if (show_in_safari) {
			console.log('here');
			// Fade in images so there isn't a color "pop" document load and then on window load
			$(".grayscale1 img").fadeIn(500);
			// console.log($.browser.version);
			// clone image
			$('.grayscale1 img').each(function(){
				var el = $(this);
				el.css({"position":"relative"}).wrap("<div class='img_wrapper' style='display: block'>").clone().addClass('img_grayscale').css({"position":"absolute","z-index":"2","opacity":"0"}).insertBefore(el).queue(function(){
					var el = $(this);
					el.dequeue();
				});
				this.src = grayscale(this.src);
			});
			// Fade image 
			$('.grayscale1 img').mouseover(function(){
				$(this).parent().find('img:first').stop().animate({opacity:1}, 400);
			})
			$('.grayscale1 .img_grayscale').mouseout(function(){
				$(this).stop().animate({opacity:0}, 400);
			});		



			$(".grayscale2 img").fadeIn(500);
			// console.log($.browser.version);
			// clone image
			$('.grayscale2 img').each(function(){
				var el = $(this);
				el.css({"position":"relative"}).wrap("<div class='img_wrapper' style='display: block'>").clone().addClass('img_grayscale').css({"position":"absolute","z-index":"2","opacity":"1.0"}).insertBefore(el).queue(function(){
					var el = $(this);
					el.dequeue();
				});
				this.src = grayscale(this.src);
			});
			// Fade image 
			$('.grayscale2 img').mouseover(function(){
				$(this).parent().find('img:first').stop().animate({opacity:0}, 400);
			})
			$('.grayscale2 .img_grayscale').mouseout(function(){
				$(this).stop().animate({opacity:1.0}, 400);
			});		
		}
		});


		// Grayscale w canvas method
		function grayscale(src){
			var canvas = document.createElement('canvas');
			var ctx = canvas.getContext('2d');
			var imgObj = new Image();
			imgObj.src = src;
			canvas.width = imgObj.width;
			canvas.height = imgObj.height; 
			ctx.drawImage(imgObj, 0, 0); 
			var imgPixels = ctx.getImageData(0, 0, canvas.width, canvas.height);
			for(var y = 0; y < imgPixels.height; y++){
				for(var x = 0; x < imgPixels.width; x++){
					var i = (y * 4) * imgPixels.width + x * 4;
					var avg = (imgPixels.data[i] + imgPixels.data[i + 1] + imgPixels.data[i + 2]) / 3;
					imgPixels.data[i] = avg; 
					imgPixels.data[i + 1] = avg; 
					imgPixels.data[i + 2] = avg;
				}
			}
			ctx.putImageData(imgPixels, 0, 0, 0, 0, imgPixels.width, imgPixels.height);
			return canvas.toDataURL();
	    }
