/*$(function(){
    $('#homepage .nav-menu > .nav > li > a').click(function(){
        $('#homepage .nav-menu > .nav > li').removeClass('active');
        $(this).parent().addClass('active');
    })
})*/
// Cache selectors

/*menu*/
var lastId,
    topMenu = $("#homepage .nav-menu ul"),
    topMenuHeight = topMenu.outerHeight()+15,
    // All list items
    menuItems = topMenu.find("a:not(.site-logo)"),
    // Anchors corresponding to menu items
    scrollItems = menuItems.map(function(){
      var item = $($(this).attr("href"));
      if (item.length) { return item; }
    });

// Bind click handler to menu items

$(window).scroll(function(){
   // Get container scroll position
   var fromTop = $(this).scrollTop()+topMenuHeight;
   
   // Get id of current scroll item
   var cur = scrollItems.map(function(){
     if ($(this).offset().top < fromTop)
       return this;
   });
   // Get the id of the current element
   cur = cur[cur.length-1];
   var id = cur && cur.length ? cur[0].id : "";
   
   if (lastId !== id) {
       lastId = id;
       // Set/remove active class
       menuItems
         .parent().removeClass("active")
         .end().filter("[href=#"+id+"]").parent().addClass("active");
   }                   
});
/*/menu*/





$('.nav-menu').on('show.bs.collapse', function() {
    var width_html = $('html').width();
    if(width_html < 1024){
        $('html').addClass('overflow');
    }
});

$('.nav-menu').on('hide.bs.collapse', function() {
    var width_html = $('html').width();
    if(width_html < 1024){
        $('html').removeClass('overflow');
    }
});



$('.nav-menu .nav li').click(function() {
    $('.nav-menu').collapse('hide');
});
/*preload*/
$(window).load(function() {
	'use strict';
	$(".loader-item").delay(700).fadeOut();
	$("#pageloader").delay(1200).fadeOut("slow");
});
/*END preload*/

/*sticky header*/
$(document).ready(function() {
    /*var $header = $(".main_nav"),
        $clone = $header.before($header.clone().addClass("clone"));*/

    $(window).on("scroll", function() {
        var fromTop = $(document).scrollTop();
        $('body').toggleClass("down", (fromTop > 120));
    });

});
/*END sticky header*/

/*scroll top*/
$(function() {
	$('.scroll').click(function() {
		jQuery("html, body").animate({ scrollTop: 0 }, 1400);
	});
	$('.scrollTo a').click(function() {
        var width_windows = $('html').width();
        if (width_windows > 1260){
          jQuery("html, body").animate({ scrollTop: jQuery(this.hash).position().top - 138}, 1400);  
        }else{
		  jQuery("html, body").animate({ scrollTop: jQuery(this.hash).position().top - 80}, 1400);  
        }
		return false;
	});
});
/*END scroll top*/
$(window).load(function () {
    $('.carousel').carousel()
});

/*switcher panel*/
$('.jsBtSwitcher').click(function() {
    $( ".contrSidebar" ).toggleClass("sidebarHddn");
    $( ".jsmainContent" ).toggleClass("jsmainContentfw");
});

$(document).on('click', '.wrapper_trigger .btn', function() {
    if (! $(this).hasClass('active')) {
        $(this).closest('.wrapper_trigger').find('.btn').toggleClass('btn-nobg active');
    };
});

$('.jsBtLightStyle').click(function(){
    $('html').addClass('style_light');
    $('html').removeClass('style_dark');
    $('.style_light_dark').attr('href','css/colors/light.css');
    initGoogleMap('light');
});
$('.jsBtDarkStyle').click(function(){
    $('html').addClass('style_dark');
    $('html').removeClass('style_light');
    $('.style_light_dark').attr('href','css/colors/dark.css');
    initGoogleMap('dark');
});

$('.jsBtWide').click(function(){
	$('body').removeClass('boxed_bg');
    $('.container').addClass('jsNoBoxed');
    $('.container').removeClass('jsBoxed');
});
$('.jsBtBoxed').click(function(){
	$('body').addClass('boxed_bg');
    $('.container').addClass('jsBoxed');
    $('.container').removeClass('jsNoBoxed');
});

$('.jsBtLeft').click(function(){
    $('.main_nav').removeClass('menu_centered');
    $('.jsBreadCrumbs').removeClass('centered_bread');
});
$('.jsBtCenter').click(function(){
    $('.main_nav').addClass('menu_centered');
    $('.jsBreadCrumbs').addClass('centered_bread');
});

$(document).on('click', '.box_color_trigger li', function() {
    $('.box_color_trigger li').removeClass('sfBtActiveColor');
    $(this).addClass('sfBtActiveColor');
}); 

$('.sfBtColorGreen').click(function(){
    $('.jsColorStyle').attr('href','css/colors/green.css');
});

$('.sfBtColorOrange').click(function(){
    $('.jsColorStyle').attr('href','css/colors/orange.css');
});

$('.sfBtColorRed').click(function(){
    $('.jsColorStyle').attr('href','css/colors/red.css');
});

$('.sfBtColorPurpur').click(function(){
    $('.jsColorStyle').attr('href','css/colors/purpur.css');
});

$('.sfBtColorBlue').click(function(){
    $('.jsColorStyle').attr('href','css/colors/blue.css');
});
/*END switcher panel*/


/*comments*/
$( ".jsBtComment" ).click(function() {
	$( ".jsCommentBlock" ).slideDown( 500 );
	$('html, body').animate({
	scrollTop: $(".jsCommentBlock").offset().top
	}, 700);
});
$('.jsCommentClose').click(function() {
	$( ".jsCommentBlock" ).slideUp( 500 );
});
/*END comments*/

/*smooth-scroll*/
//if ($('[data-scroll]').length > 0){
//    smoothScroll.init({
//    	speed: 1000,
//    	easing: 'easeInOutCubic',
//    	offset: 140,
//    	updateURL: true,
//    	callbackBefore: function ( toggle, anchor ) {},
//    	callbackAfter: function ( toggle, anchor ) {}
//    });
//};
$(function() {
    smoothScroll.init({
    	speed: 1000,
    	easing: 'easeInOutCubic',
    	offset: 140,
    	updateURL: true,
    	callbackBefore: function ( toggle, anchor ) {},
    	callbackAfter: function ( toggle, anchor ) {}
    });
});
/*END smooth-scroll*/

/*masonry*/
var $container = $('.isotop-wrap');
$(window).load(function () {
    if ($('.isotop-wrap').length) {
        $container.isotope({layoutMode: 'packery'});
    };
})
$('.isotop-nav').on( 'click', 'a', function() {
    $('.isotop-nav a').removeClass('active');
    $(this).addClass('active');
    var filterValue = $(this).attr('data-filter');
    $container.isotope({
        filter: filterValue,
        layoutMode: 'packery'
    });
});
/*END masonry*/



/*animated items*/
jQuery(document).ready(function($) {

    'use strict';

   if ($('.animated').length > 0){
        $('.animated').appear(function() {
            var elem = $(this);
            var animation = elem.data('animation');
            if ( !elem.hasClass('visible') ) {
                var animationDelay = elem.data('animation-delay');
                if ( animationDelay ) {
                    setTimeout(function(){
                        elem.addClass( animation + " visible" );
                    }, animationDelay);

                } else {
                    elem.addClass( animation + " visible" );
                }
            }
        });
    }
});
/*END animated items*/


//  ProBars v1.1, Copyright 2014, Joe Mottershaw, https://github.com/joemottershaw/
//  ===============================================================================
jQuery(function() {
    if (typeof($('.pro-bar').appear) == 'function'){
        $('.pro-bar').each(function(i, elem) {
            var $elem = $(this),
                percent = $elem.attr('data-pro-bar-percent'),
                delay = $elem.attr('data-pro-bar-delay');

            if (!$elem.hasClass('animated'))
                $elem.css({ 'width' : '0%' });

            $(elem).appear(function () {
                setTimeout(function() {
                    $elem.animate({ 'width' : percent + '%' }, 2000, 'easeInOutExpo').addClass('animated');
                }, delay);
            });
        });
    };
});

/*audio player*/

    var jPlayerAndroidFix = (function($) {
        var fix = function(id, media, options) {
            this.playFix = false;
            this.init(id, media, options);
        };
        fix.prototype = {
            init: function(id, media, options) {
                var self = this;
                this.id = id;
                this.media = media;
                this.options = options;
                this.player = $(this.id);
                this.player.bind($.jPlayer.event.ready, function(event) {
                    self.setMedia(self.media);
                });
                if($.jPlayer.platform.android) {
                    this.player.bind($.jPlayer.event.progress, function(event) {
                        if(self.playFixRequired) {
                            self.playFixRequired = false;
                            if(self.playFix) {
                                self.playFix = false;
                                $(this).jPlayer("play");
                            }
                        }
                    });
                    this.player.bind($.jPlayer.event.ended, function(event) {
                        if(self.endedFix) {
                            self.endedFix = false;
                            setTimeout(function() {
                                self.setMedia(self.media);
                            },0);
                        }
                    });
                    this.player.bind($.jPlayer.event.pause, function(event) {
                        if(self.endedFix) {
                            var remaining = event.jPlayer.status.duration - event.jPlayer.status.currentTime;
                            if(event.jPlayer.status.currentTime === 0 || remaining < 1) {
                                setTimeout(function() {
                                    self.jPlayer._trigger($.jPlayer.event.ended);
                                },0);
                            }
                        }
                    });
                }
                this.player.jPlayer(this.options);
                this.jPlayer = this.player.data('jPlayer');
                this.cssSelectorAncestor = this.player.jPlayer('option', 'cssSelectorAncestor');
                this.resetAndroid();

                return this;
            },
            setMedia: function(media) {
                this.media = media;
                this.resetAndroid();
                this.player.jPlayer("setMedia", this.media);
                return this;
            },
            play: function() {
                if($.jPlayer.platform.android && this.playFixRequired) {
                    this.playFix = true;
                } else {
                    this.player.jPlayer("play");
                }
            },
            resetAndroid: function() {
                if($.jPlayer.platform.android) {
                    this.playFix = false;
                    this.playFixRequired = true;
                    this.endedFix = true;
                }
            }
        };
        return fix;
    })(jQuery);


   /* $(document).ready(function() {

        if ($('#jquery_jplayer_1').length > 0){

            var id = "#jquery_jplayer_1";

            var bubble = {
                title:"Bubble",
                mp3:"http://www.jplayer.org/audio/mp3/Miaow-07-Bubble.mp3",
                oga:"http://www.jplayer.org/audio/ogg/Miaow-07-Bubble.ogg"
            };
            var lismore = {
                title:"<span class='title_audio bold'>Love The Way You Lie</span><span class='name_avtor_music colored vollkorn'>Eminem ft. Rihanna</span>",
                mp3:"http://www.jplayer.org/audio/mp3/Miaow-04-Lismore.mp3",
                oga:"http://www.jplayer.org/audio/ogg/Miaow-04-Lismore.ogg"
            };


              var options = {
                swfPath: "js",
                supplied: "mp3,oga",
                wmode: "window",
                smoothPlayBar: true,
                keyEnabled: true,
                remainingDuration: true,
                toggleDuration: true
            };

            var myAndroidFix = new jPlayerAndroidFix(id, lismore, options);
        }
    });*/
$(document).ready(function(){

    if ($('#jquery_jplayer_3').length > 0){
        new jPlayerPlaylist({
            jPlayer: "#jquery_jplayer_3",
            cssSelectorAncestor: "#jp_container_3"
        }, [
            {
                title:"<span class='title_audio bold'>Love The Way You Lie</span><span class='name_avtor_music colored vollkorn'>Eminem ft. Rihanna</span>",
                mp3:"http://www.jplayer.org/audio/mp3/TSP-01-Cro_magnon_man.mp3",
                oga:"http://www.jplayer.org/audio/ogg/TSP-01-Cro_magnon_man.ogg"
            }
        ], {
            swfPath: "js",
            supplied: "oga, mp3",
            wmode: "window",
            smoothPlayBar: true,
            keyEnabled: true
        });
    };

    if ($('#jquery_jplayer_2').length > 0){
        new jPlayerPlaylist({
            jPlayer: "#jquery_jplayer_2",
            cssSelectorAncestor: "#jp_container_2"
        }, [
            {
                title:"<span class='title_audio bold'>Love The Way You Lie</span><span class='name_avtor_music colored vollkorn'>Eminem ft. Rihanna</span>",
                mp3:"http://www.jplayer.org/audio/mp3/TSP-01-Cro_magnon_man.mp3",
                oga:"http://www.jplayer.org/audio/ogg/TSP-01-Cro_magnon_man.ogg"
            }
        ], {
            swfPath: "js",
            supplied: "oga, mp3",
            wmode: "window",
            smoothPlayBar: true,
            keyEnabled: true
        });
    };
});
/*END audio player*/



/* ==============================================
 Google Map
=============================================== */  
if ($('#map').length > 0){
    // When the window has finished loading create our google map below

                google.maps.event.addDomListener(window, 'load', function () {
                  initGoogleMap('light');
                });
            
    /* ==============================================
    Slap Text for Typography
    =============================================== */  
    /*greyscale map*/
    // When the window has finished loading create our google map below
    //google.maps.event.addDomListener(window, 'load', init);

    function initGoogleMap(styleMap) {
        var styles = '';
        if (styleMap=='dark') {
          styles = [{"featureType":"water","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":17}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#000000"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#000000"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":16}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":21}]},{"elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#000000"},{"lightness":16}]},{"elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#000000"},{"lightness":40}]},{"elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":19}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#000000"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#000000"},{"lightness":17},{"weight":1.2}]}];
        };
        if (styleMap=='light') {
          styles = [{"featureType":"landscape","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"transit","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"stylers":[{"hue":"#00aaff"},{"saturation":-100},{"gamma":2.15},{"lightness":12}]},{"featureType":"road","elementType":"labels.text.fill","stylers":[{"visibility":"on"},{"lightness":24}]},{"featureType":"road","elementType":"geometry","stylers":[{"lightness":57}]}];
        };
        // Basic options for a simple Google Map
        // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
        var mapOptions = {
            // How zoomed in you want the map to start at (always required)
            zoom: 11,

            // The latitude and longitude to center the map (always required)
            center: new google.maps.LatLng(40.6700, -73.9400), // New York

            // How you would like to style the map. 
            // This is where you would paste any style found on Snazzy Maps.
            styles: styles
        };

        // Get the HTML DOM element that will contain your map 
        // We are using a div with id="map" seen below in the <body>
        var mapElement = document.getElementById('map');

        // Create the Google Map using out element and options defined above
        var map = new google.maps.Map(mapElement, mapOptions);
    }
}
/*ENDgreyscale map*/