<?php

 $message = '';
if(isset($_POST["email"]))
{
    echo "<pre>";
print_r($_POST);
die;
 sleep(5);
 $query = "
 INSERT INTO tbl_login 
 (first_name, last_name, gender, email, password, address, mobile_no) VALUES 
 (:first_name, :last_name, :gender, :email, :password, :address, :mobile_no)
 ";
 $password_hash = password_hash($_POST["password"], PASSWORD_DEFAULT);
 $user_data = array(
  ':first_name'  => $_POST["first_name"],
  ':last_name'  => $_POST["last_name"],
  ':gender'   => $_POST["gender"],
  ':email'   => $_POST["email"],
  ':password'   => $password_hash,
  ':address'   => $_POST["address"],
  ':mobile_no'  => $_POST["mobile_no"]
 );
 $statement = $connect->prepare($query);
 if($statement->execute($user_data))
 {
  $message = '
  <div class="alert alert-success">
  Registration Completed Successfully
  </div>
  ';
 }
 else
 {
  $message = '
  <div class="alert alert-success">
  There is an error in Registration
  </div>
  ';
 }
}
?>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Online Booking</title> 
        <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet" />
        <link rel="stylesheet" href="plugins/datepicker/css/bootstrap-datetimepicker.min.css"/>
        <style>
            .logosize
            {
                width:100%;
                height:100px;
                margin:0 auto;
                background-color:#333333;
            }
            .logoimg
            {
                width:100px;
                margin:0px auto;
                padding:18px;
            }
            .box
            {
                width:800px;
                margin:0 auto;
            }
            
            .active_tab1
            {
                background-color:#fff;
                color:#333;
                font-weight: 600;
            }
            .inactive_tab1
            {
                background-color: #f5f5f5;
                color: #333;
                cursor: not-allowed;
            }
            .has-error
            {
                border-color:#cc0000;
                background-color:#ffff99;
            }
            
        </style>
    </head>
    <body>
        <div class="logosize">
            <div class="logoimg">
                <a href="/cardetailing_new"><img src="images/logo2.png"></a>
            </div>
        </div>
        <div class="container box">
            <br />
            <h2 align="center">Online Booking</h2><br />
            <form method="post" id="register_form">
                <ul class="nav nav-tabs">
                    <li class="nav-item">
                        <a class="nav-link active_tab1" style="border:1px solid #ccc" id="list_login_details">Choose</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link inactive_tab1" id="list_personal_details" style="border:1px solid #ccc">Personal Details</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link inactive_tab1" id="list_contact_details" style="border:1px solid #ccc">Contact Details</a>
                    </li>
                </ul>
                <div class="tab-content" style="margin-top:16px;">
                    <div class="tab-pane active" id="login_details">
                        <div class="panel panel-default">
                            <div class="panel-heading">Please select a day and time slot that best fits your scheudle</div>
                            <div class="panel-body">


                                <div class="form-group col-lg-6">
                                    <label>Select Date</label>
                                    <input name="date" id="datetimepicker"  type="text" class="form-control" placeholder="Date" required>     
                                    <span id="error_date" class="text-danger"></span>
                                </div>
                                <br />
                                <div align="center">
                                    <button type="button" name="btn_date_details" id="btn_date_details" class="btn btn-info btn-lg">Next</button>
                                </div>
                                <br />
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="personal_details">
                        <div class="panel panel-default">
                            <div class="panel-heading">Fill Personal Details</div>
                            <div class="panel-body">
                                <div class="row">
                                    <div class="form-group col-md-6">
                                        <label>Enter First Name</label>
                                        <input type="text" name="first_name" id="first_name" class="form-control" />
                                        <span id="error_first_name" class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label>Enter Last Name</label>
                                        <input type="text" name="last_name" id="last_name" class="form-control" />
                                        <span id="error_last_name" class="text-danger"></span>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-md-6">
                                        <label>Enter Email Address</label>
                                        <input type="text" name="email" id="email" class="form-control" />
                                        <span id="error_email" class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label>Enter Mobile No.</label>
                                        <input type="text" name="mobile_no" id="mobile_no" class="form-control" maxlength="15" />
                                        <span id="error_mobile_no" class="text-danger"></span>
                                    </div>
                                </div>
                            </div>


                            <div class="panel-heading">Appointment Form</div>
                            <div class="panel-body">
                                <div class="row">
                                    <div class="form-group col-md-12">
                                        <label>Vehicle Make/Model * </label>
                                        <input type="text" name="vehicle_model" id="vehicle_model" class="form-control" />
                                        <span id="error_vehicle_model" class="text-danger"></span>
                                    </div>
                                    <div class="form-group col-md-12">
                                        <label>What Kind Of Detail? * </label>
                                        <textarea name="vehicle_detail" id="vehicle_detail" class="form-control"></textarea>
                                        <span id="error_vehicle_detail" class="text-danger"></span>
                                    </div>
                                    <div class="form-group  col-md-12">
                                        <label>Questions/ discount code </label>
                                        <textarea name="discount" id="discount" class="form-control"></textarea>
                                        <span id="error_discount" class="text-danger"></span>
                                    </div> 
                                </div>
                            </div>


                            <div align="center">
                                <button type="button" name="previous_btn_personal_details" id="previous_btn_personal_details" class="btn btn-default btn-lg">Previous</button>
                                <button type="button" name="btn_personal_details" id="btn_personal_details" class="btn btn-info btn-lg">Next</button>
                            </div>
                            <br />
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="contact_details">
                    <div class="panel panel-default">
                        <div class="panel-heading">Filled Details</div>
                        <div class="panel-body">
                            <div class="form-group">
                                <p><strong>First Name:</strong> <span id="filled_first_name"></span></p>
                                <p><strong>First Name:</strong> <span id="filled_last_name"></span></p>
                                <p><strong>Email Name:</strong> <span id="filled_email"></span></p>
                                <p><strong>Mobile:</strong> <span id="filled_mobile_no"></span></p>
                                <p><strong>Vehicle Model:</strong> <span id="filled_vehicle_model"></span></p>
                                <p><strong>Vehicle Detail:</strong> <span id="filled_vehicle_detail"></span></p> 
                            </div>

                            <br />
                            <div align="center">
                                <button type="button" name="previous_btn_contact_details" id="previous_btn_contact_details" class="btn btn-default btn-lg">Previous</button>
                                <button type="button" name="btn_contact_details" id="btn_contact_details" class="btn btn-success btn-lg">Register</button>
                            </div>
                            <br />
                        </div>
                    </div>
                </div>

            </form>
        </div>
        
<?php include("includes/footer.php");?>
        
        
        <script src="js/jquery.min.js"></script><!-- JQUERY.MIN JS -->

        <script src="plugins/bootstrap/js/bootstrap.min.js"></script><!-- BOOTSTRAP.MIN JS -->

        <script src="plugins/datepicker/js/moment.js"></script><!-- DATEPICKER JS -->
        <script src="plugins/datepicker/js/bootstrap-datetimepicker.min.js"></script><!-- DATEPICKER JS -->

        <script>
            $(document).ready(function () {

                $('#datetimepicker').datetimepicker({format: "YYYY-MM-DD hh:mm", minDate: new Date()});
            });

        </script>
        <script>


            $(document).ready(function () {

                $('#btn_date_details').click(function () {


                    var error_password = '';
                    var error_date = '';


                    if ($.trim($('#datetimepicker').val()).length == 0)
                    {
                        error_date = 'Date is required';
                        $('#error_date').text(error_date);
                        $('#datetimepicker').addClass('has-error');
                    }
                    else
                    {
                        error_date = '';
                        $('#datetimepicker').text(error_date);
                        $('#datetimepicker').removeClass('has-error');
                    }




                    if (error_date != '')
                    {
                        return false;
                    }
                    else
                    {
                        $('#list_login_details').removeClass('active active_tab1');
                        $('#list_login_details').removeAttr('href data-toggle');
                        $('#login_details').removeClass('active');
                        $('#list_login_details').addClass('inactive_tab1');
                        $('#list_personal_details').removeClass('inactive_tab1');
                        $('#list_personal_details').addClass('active_tab1 active');
                        $('#list_personal_details').attr('href', '#personal_details');
                        $('#list_personal_details').attr('data-toggle', 'tab');
                        $('#personal_details').addClass('active in');
                    }
                });

                $('#previous_btn_personal_details').click(function () {
                    $('#list_personal_details').removeClass('active active_tab1');
                    $('#list_personal_details').removeAttr('href data-toggle');
                    $('#personal_details').removeClass('active in');
                    $('#list_personal_details').addClass('inactive_tab1');
                    $('#list_login_details').removeClass('inactive_tab1');
                    $('#list_login_details').addClass('active_tab1 active');
                    $('#list_login_details').attr('href', '#login_details');
                    $('#list_login_details').attr('data-toggle', 'tab');
                    $('#login_details').addClass('active in');
                });

                $('#btn_personal_details').click(function () {
                    var error_first_name = '';
                    var error_last_name = '';
                    var error_email = '';
                    var error_mobile_no = '';
                    var error_vehicle_model = '';
                    var error_vehicle_detail = '';


                    var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
                    var mobile_validation = /^\d{10}$/;

                    if ($.trim($('#email').val()).length == 0)
                    {
                        error_email = 'Email is required';
                        $('#error_email').text(error_email);
                        $('#email').addClass('has-error');
                    }
                    else
                    {
                        if (!filter.test($('#email').val()))
                        {
                            error_email = 'Invalid Email';
                            $('#error_email').text(error_email);
                            $('#email').addClass('has-error');
                        }
                        else
                        {
                            error_email = '';
                            $('#error_email').text(error_email);
                            $('#email').removeClass('has-error');
                        }
                    }

                    if ($.trim($('#first_name').val()).length == 0)
                    {
                        error_first_name = 'First Name is required';
                        $('#error_first_name').text(error_first_name);
                        $('#first_name').addClass('has-error');
                    }
                    else
                    {
                        error_first_name = '';
                        $('#error_first_name').text(error_first_name);
                        $('#first_name').removeClass('has-error');
                    }

                    if ($.trim($('#last_name').val()).length == 0)
                    {
                        error_last_name = 'Last Name is required';
                        $('#error_last_name').text(error_last_name);
                        $('#last_name').addClass('has-error');
                    }
                    else
                    {
                        error_last_name = '';
                        $('#error_last_name').text(error_last_name);
                        $('#last_name').removeClass('has-error');
                    }


                    if ($.trim($('#mobile_no').val()).length == 0)
                    {
                        error_mobile_no = 'Mobile Number is required';
                        $('#error_mobile_no').text(error_mobile_no);
                        $('#mobile_no').addClass('has-error');
                    }
                    else
                    {
                        if (!mobile_validation.test($('#mobile_no').val()))
                        {
                            error_mobile_no = 'Invalid Mobile Number';
                            $('#error_mobile_no').text(error_mobile_no);
                            $('#mobile_no').addClass('has-error');
                        }
                        else
                        {
                            error_mobile_no = '';
                            $('#error_mobile_no').text(error_mobile_no);
                            $('#mobile_no').removeClass('has-error');
                        }
                    }


                    if ($.trim($('#vehicle_model').val()).length == 0)
                    {
                        error_vehicle_model = 'Vehicle Model Name is required';
                        $('#error_vehicle_model').text(error_vehicle_model);
                        $('#vehicle_model').addClass('has-error');
                    }
                    else
                    {
                        error_vehicle_model = '';
                        $('#error_vehicle_model').text(error_vehicle_model);
                        $('#vehicle_model').removeClass('has-error');
                    }

                    if ($.trim($('#vehicle_detail').val()).length == 0)
                    {
                        error_vehicle_detail = 'Vehicle Detail is required';
                        $('#error_vehicle_detail').text(error_vehicle_detail);
                        $('#vehicle_detail').addClass('has-error');
                    }
                    else
                    {
                        error_vehicle_detail = '';
                        $('#error_vehicle_detail').text(error_vehicle_detail);
                        $('#vehicle_detail').removeClass('has-error');
                    }




                    if (error_first_name != '' || error_last_name != '' || error_email != '' || error_mobile_no != '' || error_vehicle_model != '' || error_vehicle_detail != '')
                    {
                        return false;
                    }
                    else
                    {
                        $('#list_personal_details').removeClass('active active_tab1');
                        $('#list_personal_details').removeAttr('href data-toggle');
                        $('#personal_details').removeClass('active');
                        $('#list_personal_details').addClass('inactive_tab1');
                        $('#list_contact_details').removeClass('inactive_tab1');
                        $('#list_contact_details').addClass('active_tab1 active');
                        $('#list_contact_details').attr('href', '#contact_details');
                        $('#list_contact_details').attr('data-toggle', 'tab');
                        $('#contact_details').addClass('active in');

                        $('#filled_first_name').html($('#first_name').val());
                        $('#filled_last_name').html($('#last_name').val());
                        $('#filled_email').html($('#email').val());
                        $('#filled_mobile_no').html($('#mobile_no').val());
                        $('#filled_vehicle_model').html($('#vehicle_model').val());
                        $('#filled_vehicle_detail').html($('#vehicle_detail').val());
                    }
                });

                $('#previous_btn_contact_details').click(function () {
                    $('#list_contact_details').removeClass('active active_tab1');
                    $('#list_contact_details').removeAttr('href data-toggle');
                    $('#contact_details').removeClass('active in');
                    $('#list_contact_details').addClass('inactive_tab1');
                    $('#list_personal_details').removeClass('inactive_tab1');
                    $('#list_personal_details').addClass('active_tab1 active');
                    $('#list_personal_details').attr('href', '#personal_details');
                    $('#list_personal_details').attr('data-toggle', 'tab');
                    $('#personal_details').addClass('active in');
                });

                $('#btn_contact_details').click(function () {


                    $('#btn_contact_details').attr("disabled", "disabled");
                    $(document).css('cursor', 'prgress');
                    $("#register_form").submit();


                });

            });
        </script>

    </body>
</html>

